View Issue Details

IDProjectCategoryView StatusLast Update
0001410SymmetricDSBugpublic2014-02-02 20:53
ReporterabrougherAssigned Toabrougher 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.5 
Target Version3.5.6Fixed in Version3.5.6 
Summary0001410: When USE_CAPTURE_OLD_DATA is not set, the database writer will not update non null columns to null.
DescriptionThe database writer checks all columns to see if data has changed between the old and new value before deciding if the value needs to be updated. When the old data is not capture, each old column value is reported as null. If a column is updated with a null value, the new null value will match the null reported for the old column value. The database writer believes nothing has changed and the null value is not written.

We need to test to see if the old values were captured. If the old values were not captured, every column should be updated.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 4d2188e2

2013-09-03 13:33:32

abrougher

Details Diff
0001410: When USE_CAPTURE_OLD_DATA is not set, the database writer will not update columns to null.
0001410
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2013-09-03 13:32 abrougher New Issue
2013-09-03 13:32 abrougher Status new => assigned
2013-09-03 13:32 abrougher Assigned To => abrougher
2013-09-03 13:33 abrougher Project SymmetricDS Pro => SymmetricDS
2013-09-03 13:33 abrougher Status assigned => closed
2013-09-03 13:33 abrougher Resolution open => fixed
2013-09-03 13:33 abrougher Fixed in Version => 3.5.6
2013-09-04 19:42 chenson Summary When USE_CAPTURE_OLD_DATA is not set, the database writer will not update columns to null. => When USE_CAPTURE_OLD_DATA is not set, the database writer will not update non null columns to null.
2014-02-02 20:53 abrougher Changeset attached => SymmetricDS trunk r7678
2015-07-30 21:49 abrougher Changeset attached => SymmetricDS master 4d2188e2